--- old/usr/src/cmd/ssh/Makefile.ssh-common	2016-08-16 20:40:32.458922832 -0400
+++ /dev/null	2016-08-16 20:40:32.000000000 -0400
@@ -1,99 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# Copyright 2012 Milan Jurik. All rights reserved.
-#
-# Common definitions for all of usr/src/cmd/ssh subdirs
-#
-
-
-TEXT_DOMAIN=SUNW_OST_OSCMD
-
-CFLAGS += $(CCVERBOSE)
-LDFLAGS += $(MAPFILE.NGB:%=-M%)
-
-SSH_VERSION=\"Sun_SSH_1.5\"
-
-C99MODE= $(C99_ENABLE)
-
-CPPFLAGS = -DSSH_VERSION=$(SSH_VERSION) \
-	-I../include -I../../include \
-	-D_FILE_OFFSET_BITS=64 \
-	-erroff=E_STATEMENT_NOT_REACHED \
-	$(CPPFLAGS.master)
-
-SSH_COMMON_LDLIBS = \
-	-L../libssh/$(MACH) -lssh \
-	-L../libopenbsd-compat/$(MACH) -lopenbsd-compat
-
-$(PROG): $(MAPFILE.NGB)
-
-#
-# Some the lint -erroff flags listed below are because of deficiencies in
-# lint not because we are hiding real errors or to avoid massive resync-
-# hindering changes that will not be returned to OpenSSH.
-#
-# OpenSSH has several instances of "do {...} while (0);" - a common
-# idiom in C macros, but it elicits E_CONSTANT_CONDITION from lint.
-#
-# The MD5 macros in <openssl/md5.h> trigger E_EXPR_NULL_EFFECT.
-#
-# Lots of function return values are ignored in OpenSSH.
-#
-# Lots of globals could be static, sometimes due to portable code paths
-# which are dead on Solaris.
-#
-LINTFLAGS += \
-	-erroff=E_FUNC_ARG_UNUSED \
-	-erroff=E_NAME_USED_NOT_DEF2 \
-	-erroff=E_FUNC_DECL_VAR_ARG2 \
-	-erroff=E_INCONS_VAL_TYPE_DECL2 \
-	-erroff=E_INCONS_ARG_DECL2 \
-	-erroff=E_STATIC_UNUSED \
-	-erroff=E_STATEMENT_NOT_REACHED \
-	-erroff=E_FUNC_RET_ALWAYS_IGNOR2 \
-	-erroff=E_FUNC_RET_MAYBE_IGNORED2 \
-	-erroff=E_GLOBAL_COULD_BE_STATIC2 \
-	-erroff=E_CONSTANT_CONDITION \
-	-erroff=E_EXPR_NULL_EFFECT \
-	-erroff=E_STMT_NOT_REACHED \
-	-errtags=yes
-
-CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
-CERRWARN += -_gcc=-Wno-unused-function
-CERRWARN += -_gcc=-Wno-unused-variable
-
-ROOTLIBSSH=	$(ROOTLIB)/ssh
-ROOTLIBSSHPROG=	$(PROG:%=$(ROOTLIBSSH)/%)
-
-ROOTLIBSUNSSH = $(ROOTLIB)/sunssh
-ROOTLIBSUNSSHPROG = $(PROG:%=$(ROOTLIBSUNSSH)/%)
-
-POFILE= _messages.po
-
-$(ROOTLIBSSH)/%: $(ROOTLIBSUNSSH)/%
-	-$(RM) $@; $(SYMLINK) ../sunssh/$(@F) $@
-
-$(ROOTLIBSUNSSH)/%: %
-	$(INS.file)
